//
// BeInternetCentral
// EmailView class
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 27june1997
//
// 010797 HF




#ifndef _EMAIL_VIEW_H_
#define _EMAIL_VIEW_H_

#include <View.h>
#include "TopicView.h"

class EmailView
	: public TopicView
{
	public:
		EmailView(BRect frame);
virtual void AttachedToWindow(void);
virtual void CurrentPersonalityChanged(BMessage * msg);
	private:
		BTextControl * mSMTPTextControl;
		BTextControl * mPOPAccountTextControl;
		BTextControl * mPOPServerTextControl;
		BTextControl * mPOPPasswordTextControl;
		BRadioButton * mPasswdRadioButton;
		BRadioButton * mAPOPRadioButton;
		BPopUpMenu * mPersonalityMenu;
		void 	ReloadEmailConfig();
};


#endif
