//
// BeInternetCentral
// PersonalityView class
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 27june1997




#ifndef _PERSONALITY_VIEW_H_
#define _PERSONALITY_VIEW_H_

#include <View.h>
#include "app/TopicView.h"


class PersonalityView
	: public TopicView
{
	public:
		PersonalityView(BRect frame);

virtual void AttachedToWindow(void);
virtual void CurrentPersonalityChanged(BMessage * msg);
	private:
		BTextControl * mNameTextControl;
		BTextControl * mEmailAddressTextControl;
		BTextControl * mOrganizationTextControl;
		BPopUpMenu * mPersonalityMenu;
		
		void ReloadPersonalityConfig();
};


#endif
